Bug 9775 - java-1.7.0-openjdk new security issues fixed in IcedTea 2.3.9
: java-1.7.0-openjdk new security issues fixed in IcedTea 2.3.9
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 2
: i586 Linux
: Normal Severity: critical
: ---
Assigned To: QA Team
: Sec team
:
: has_procedure MGA2-64-OK mga2-32-OK
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2013-04-17 19:27 CEST by David Walser
Modified: 2013-05-02 19:23 CEST (History)
5 users (show)

See Also:
Source RPM: java-1.7.0-openjdk-1.7.0.6-2.3.8.4.mga3.src.rpm
CVE:


Attachments

Description David Walser 2013-04-17 19:27:09 CEST
IcedTea 2.3.9 is in Fedora git:
http://pkgs.fedoraproject.org/cgit/java-1.7.0-openjdk.git/log/

The upstream announcement isn't out yet, but it should be soon, as upstream did announce new versions of IcedTea6 and icedtea-web today.

Oracle also has updated Java 7 and issued their advisory:
http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html

I really think we should update the buildver to match Fedora for this update, as the Java plugin reports this as its "Update" number, which will cause people to think our Java is out of date if we don't update it.  The buildver is 19 now with this update.

Reproducible: 

Steps to Reproduce:
Comment 1 David Walser 2013-04-17 21:11:22 CEST
RedHat has issued an advisory for this today (April 17):
https://rhn.redhat.com/errata/RHSA-2013-0751.html
Comment 2 David Walser 2013-04-22 21:32:11 CEST
Upstream blog announcement:
http://blog.fuseyism.com/index.php/2013/04/22/security-icedtea-2-3-9-for-openjdk-7-released/
Comment 3 David Walser 2013-04-25 16:39:06 CEST
Updated packages uploaded for Mageia 2 and Cauldron.

Note to QA: the Java plugin test should report this as Java 7 Update 19.

Advisory:
========================

Updated java-1.7.0-openjdk packages fix security vulnerabilities:

Multiple flaws were discovered in the font layout engine in the 2D
component. An untrusted Java application or applet could possibly use these
flaws to trigger Java Virtual Machine memory corruption (CVE-2013-1569,
CVE-2013-2383, CVE-2013-2384).

Multiple improper permission check issues were discovered in the Beans,
Libraries, JAXP, and RMI components in OpenJDK. An untrusted Java
application or applet could use these flaws to bypass Java sandbox
restrictions (CVE-2013-1558, CVE-2013-2422, CVE-2013-2436, CVE-2013-1518,
CVE-2013-1557).

The previous default value of the java.rmi.server.useCodebaseOnly property
permitted the RMI implementation to automatically load classes from
remotely specified locations. An attacker able to connect to an application
using RMI could use this flaw to make the application execute arbitrary
code (CVE-2013-1537).

Note: The fix for CVE-2013-1537 changes the default value of the property
to true, restricting class loading to the local CLASSPATH and locations
specified in the java.rmi.server.codebase property. Refer to Red Hat
Bugzilla bug 952387 for additional details.

The 2D component did not properly process certain images. An untrusted Java
application or applet could possibly use this flaw to trigger Java Virtual
Machine memory corruption (CVE-2013-2420).

It was discovered that the Hotspot component did not properly handle
certain intrinsic frames, and did not correctly perform access checks and
MethodHandle lookups. An untrusted Java application or applet could
use these flaws to bypass Java sandbox restrictions (CVE-2013-2431,
CVE-2013-2421, CVE-2013-2423).

It was discovered that JPEGImageReader and JPEGImageWriter in the ImageIO
component did not protect against modification of their state while
performing certain native code operations. An untrusted Java application or
applet could possibly use these flaws to trigger Java Virtual Machine
memory corruption (CVE-2013-2429, CVE-2013-2430).

The JDBC driver manager could incorrectly call the toString() method in
JDBC drivers, and the ConcurrentHashMap class could incorrectly call the
defaultReadObject() method. An untrusted Java application or applet could
possibly use these flaws to bypass Java sandbox restrictions
(CVE-2013-1488, CVE-2013-2426).

The sun.awt.datatransfer.ClassLoaderObjectInputStream class may incorrectly
invoke the system class loader. An untrusted Java application or applet
could possibly use this flaw to bypass certain Java sandbox restrictions
(CVE-2013-0401).

Flaws were discovered in the Network component's InetAddress serialization,
and the 2D component's font handling. An untrusted Java application or
applet could possibly use these flaws to crash the Java Virtual Machine
(CVE-2013-2417, CVE-2013-2419).

The MBeanInstantiator class implementation in the OpenJDK JMX component did
not properly check class access before creating new instances. An untrusted
Java application or applet could use this flaw to create instances of
non-public classes (CVE-2013-2424).

It was discovered that JAX-WS could possibly create temporary files with
insecure permissions. A local attacker could use this flaw to access
temporary files created by an application using JAX-WS (CVE-2013-2415).

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-0401
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1488
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1518
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1537
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1557
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1558
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1569
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2383
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2384
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2415
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2417
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2419
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2420
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2421
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2422
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2423
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2424
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2426
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2429
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2430
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2431
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2436
http://blog.fuseyism.com/index.php/2013/04/22/security-icedtea-2-3-9-for-openjdk-7-released/
http://www.oracle.com/technetwork/topics/security/javacpuapr2013-1928497.html
https://rhn.redhat.com/errata/RHSA-2013-0751.html
========================

Updated packages in core/updates_testing:
========================
java-1.7.0-openjdk-1.7.0.19-2.3.9.1.mga2
java-1.7.0-openjdk-devel-1.7.0.19-2.3.9.1.mga2
java-1.7.0-openjdk-demo-1.7.0.19-2.3.9.1.mga2
java-1.7.0-openjdk-src-1.7.0.19-2.3.9.1.mga2
java-1.7.0-openjdk-javadoc-1.7.0.19-2.3.9.1.mga2

from java-1.7.0-openjdk-1.7.0.19-2.3.9.1.mga2.src.rpm
Comment 4 Bill Wilkinson 2013-04-25 20:15:02 CEST
Tested mga2-64. 

HelloWorld and OddEven work as expected.

HelloWorld
http://docs.oracle.com/javase/tutorial/getStarted/cupojava/unix.html

OddEven
https://en.wikipedia.org/wiki/Java_%28programming_language%29#A_more_comprehensive_example
Comment 5 Bill Wilkinson 2013-04-25 22:19:39 CEST
Tested MGA2-32.

HelloWorld and OddEven work as expected.

validating.

Can someone from the sysadmin team please push from core/updates_testing to core/updates?

Advisory and srpm list in comment 3.
Comment 6 Lewis Smith 2013-04-26 11:01:46 CEST
Tested on MGA3RC 32-bit (i586 full DVD)

Installed JDK7.
HelloWorld and OddEven work as expected
Comment 7 Thomas Backlund 2013-05-02 19:23:00 CEST
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0130

Note You need to log in before you can comment on or make changes to this bug.